package com.xingxi.master.designer.mapper;

import com.xingxi.master.designer.domain.Designer;

import java.util.List;

/**
 * 设计师Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface DesignerMapper {
    /**
     * 查询设计师
     *
     * @param id 设计师主键
     * @return 设计师
     */
    Designer selectDesignerById(Long id);

    /**
     * 查询设计师列表
     *
     * @param designer 设计师
     * @return 设计师集合
     */
    List<Designer> selectDesignerList(Designer designer);

    /**
     * 新增设计师
     *
     * @param designer 设计师
     * @return 结果
     */
    int insertDesigner(Designer designer);

    /**
     * 批量新增设计师
     *
     * @param designerList 设计师
     * @return 结果
     */
    int batchInsertDesigner(List<Designer> designerList);

    /**
     * 修改设计师
     *
     * @param designer 设计师
     * @return 结果
     */
    int updateDesigner(Designer designer);

    /**
     * 删除设计师
     *
     * @param id 设计师主键
     * @return 结果
     */
    int deleteDesignerById(Long id);

    /**
     * 批量删除设计师
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDesignerByIds(String[] ids);


    /**
     * 逻辑删除设计师
     *
     * @param id 设计师主键
     * @return 结果
     */
    int logicDeleteDesignerById(Long id);

    /**
     * 逻辑批量删除设计师
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteDesignerByIds(String[] ids);

    /**
     * 逻辑批量删除设计师
     *
     * @param designer 设计师
     * @return 结果
     */
    int logicDeleteDesignerByCondition(Designer designer);

}
